package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Elcifo;
import com.brilliance.isc.bo.domlc.Elcsnd;
import com.brilliance.isc.bo.domlc.Elcstm;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface ElcifoMapper {

    int insert(Elcifo record);

    int insertSelective(Elcifo record);

    int updateByPrimaryKeySelective(Elcifo record);

    int updateByPrimaryKey(Elcifo record);

    int deleteByPrimaryKey(Elcifo record);

    int deleteByIds(Collection<Object> collection);

    Elcifo selectByPrimaryKey(Elcifo record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Elcifo> dyncRead(Map<String,Object> dyncMap);

    Elcifo selectByInr(String inr);

    List<Elcstm> getElcsList(Elcsnd elcsnd);

}